#! /bin/sh
#
#   show-elapsed.sh -- в֤ɽ
#

elapsed="$1"
hh=$(( $elapsed / 3600 ))
mm=$(( ($elapsed - ($hh * 60)) / 60 ))
hm=$(( mm + hh * 60 ))
ss=$(( $elapsed - $hm * 60 ))

echo ''
echo "# ------------------------------ #"
if [ $hh -gt 0 ]; then
	echo -n "${hh}h"
fi
if [ $hm -gt 0 ]; then
	echo -n "${mm}m"
fi
if [ $elapsed -gt 0 ]; then
	echo "${ss}s"
fi
echo "# ------------------------------ #"

exit 0
